/home/marcle/src/R/microsimulation/src/pqueue.cpp File Reference
`#include <Rcpp.h>`
Include dependency graph for pqueue.cpp:

Go to the source code of this file.

## Classes

struct | ssim::pqueueElement
struct | ssim::pqueueElementComparator
class | ssim::pqueue

## Namespaces

| ssim
| name space for the Siena simulator.

## Functions

RcppExport SEXP | ssim::pqueue__new (SEXP _lower)
RcppExport SEXP | ssim::pqueue__push (SEXP _ptr, SEXP _priority, SEXP event)
RcppExport SEXP | ssim::pqueue__pop (SEXP _ptr)
RcppExport SEXP | ssim::pqueue__cancel (SEXP _ptr, SEXP _predicate)
RcppExport SEXP | ssim::pqueue__empty (SEXP _ptr)
RcppExport SEXP | ssim::pqueue__clear (SEXP _ptr)